#!/bin/sh

## redirect stdout to /dev/null
exec > /dev/null
## redirect stderr to stdout
exec 2>&1

if cat /proc/cpuinfo | grep -n "model" | grep "4:model" | grep -q 10; then
	/bin/tar -xf /upgrade/upgrade_eth_dmx8_gen2.tgz -C /upgrade
	/bin/gunzip /upgrade/bin/x86/openwrt-x86-ethdmx8-combined-ext4.img.gz
	/bin/mv /upgrade/bin/x86/openwrt-x86-ethdmx8-combined-ext4.img /tmp/
	/bin/kill 17
	/bin/kill 87
	/bin/kill 88
	/bin/kill 89
	/bin/kill 90
	/bin/kill 91
	/bin/umount /data
	/bin/dd if=/tmp/openwrt-x86-ethdmx8-combined-ext4.img of=/dev/discs/disc0/disc
	/sbin/reboot
else
#	/bin/tar -xf /upgrade/upgrade_eth_dmx8_gen1.tgz -C /upgrade
#	/bin/gunzip /upgrade/bin/x86/openwrt-x86-ethdmx8_old-combined-ext2.img.gz
#	/bin/mv /upgrade/bin/x86/openwrt-x86-ethdmx8_old-combined-ext2.img /tmp/
#	/bin/kill 17
#	/bin/kill 87
#	/bin/kill 88
#	/bin/kill 89
#	/bin/kill 90
#	/bin/kill 91
#	/bin/umount /data
#	/bin/dd if=/tmp/openwrt-x86-ethdmx8_old-combined-ext2.img of=/dev/discs/disc0/disc
	/sbin/reboot
fi

